com.tibco.tibjms.admin

## Class BridgeTarget

- java.lang.Object
- - com.tibco.tibjms.admin.BridgeTarget

-     public class BridgeTarget
      extends java.lang.Object

  This class represents the target destination of a bridge.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `QUEUE_TYPE` Indicates that the target of the bridge is a queue.
    `static int` | `TOPIC_TYPE` Indicates that the target of the bridge is a topic.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BridgeTarget` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `java.lang.String` | `getName()` Get the name of the destination being bridged to.
    `java.lang.String` | `getSelector()` Get the selector.
    `int` | `getType()` Get the type of the destination being bridged to.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### QUEUE_TYPE

          public static final int QUEUE_TYPE

      Indicates that the target of the bridge is a queue.
      Since:
        EMS 4.4
      See Also:
        Constant Field Values

    - #### TOPIC_TYPE

          public static final int TOPIC_TYPE

      Indicates that the target of the bridge is a topic.
      Since:
        EMS 4.4
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the name of the destination being bridged to.
      Returns:
        the name of the destination.

    - #### getType

          public int getType()

      Get the type of the destination being bridged to.
      Returns:
        `QUEUE_TYPE` if the destination being bridged to is a queue or `TOPIC_TYPE` if it is a topic.

    - #### getSelector

          public java.lang.String getSelector()

      Get the selector. Only messages matching the selector will be bridged to this destination.
      Returns:
        the selector or null if one is not set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static BridgeTarget from(javax.management.openmbean.CompositeData cd)
                                   throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a BridgeTarget object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved